Class
MarkovModel
Gives a suitable representation of a Marcov Chain.
MarkovModel<TAlphabet[, TFloat, TSpec]>
Parameters

TAlphabet | The alphabet type
TFloat | The type of the exploited arrays
TSpec | The MarkovModel type

Data Members

order | The MarkovModel order
stationaryDistribution | The vector of character distribution
transition | The transition matrix.

Member Functions

build | Given a training set, computes the transition matrix, the character stationary distributions and the auxiliary information that give raise to an instance of MarkovModel
emittedProbability | Computes the probability that a string (or a set of strings) is emitted by the MarkovModel.
MarkovModel | Constructor
read | Loads an instance of MarkovModel from a file
set | Given e transition matrix, sets it as transition matrix of the MarkovModel and computes (if it is not available) the vector of character distributions and the auxiliary information
write | Stores an instance of MarkovModel on a file

Functions

expectation | Computes the expectation for a set of patterns w.r.t. a set of text strings and a MarkovModel
variance | Computes the variance for a set of patterns w.r.t. a set of text strings and a MarkovModel
zscore | Computes the z-score index for a set of patterns w.r.t. a set of text strings and a MarkovModel

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45